# Information Calls

Information calls are endpoints used to fetch information from White Swan to incorporate into your systems and/or workflows.

{% hint style="info" %}
[Plan Requests](/partner-knowledge-base/api-documentation/information-calls/plan-request-s.md), [Personal Plans](/partner-knowledge-base/api-documentation/information-calls/personal-plan-s.md), and [Earnings Events](/partner-knowledge-base/api-documentation/information-calls/payout-s.md) can also be accessed as webhooks. Webhooks pass data as soon as it becomes available, allowing your systems to stay seamlessly in sync with White Swan data.
{% endhint %}

**Available Search Actions:**

* [**Plan Request(s)**](/partner-knowledge-base/api-documentation/information-calls/plan-request-s.md)**:** This call provides information about [Plan Requests](/partner-knowledge-base/platform-overview/client-experience/personal-plan-requests.md) and allows you to search based on ID, Client Email, and Associated Account User Email.
* [**Personal Plan(s)**](/partner-knowledge-base/api-documentation/information-calls/personal-plan-s.md)**:** This call provides information about [Personal Plans](/partner-knowledge-base/platform-overview/client-experience/personal-plans.md) and allows you to search based on ID, Client Email, and Associated Account User Email.
* [**Referred Client(s)**](/partner-knowledge-base/api-documentation/information-calls/referred-client-s.md)**:** This call provides information about Referred Clients and allows you to search based on Client Email.
* [**Account User(s)**](/partner-knowledge-base/api-documentation/information-calls/account-user-s.md)**:** This call provides information about Users on Your White Swan account and allows you to search based on User Email.
* [**Earnings Event(s)**](/partner-knowledge-base/api-documentation/information-calls/payout-s.md)**:** This call provides information about Earnings Events associated with your White Swan account and allows you to search based on associated client email, associated account user email, and look-back period.

{% hint style="info" %}
Using parameters to search for specific items is optional, and if left out the search action will return a list of objects.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/information-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
